Package org.eclipse.birt.chart.model.attribute

# Interface Angle3D

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `Angle3DImpl`

public interface Angle3D extends IChartObject
A representation of the model object 'Angle3 D'. Angle3D represents the angle in 3D coordinate system, it's composed of 3 angle values, each of which coresponds to an axis.

The following features are supported:

- `XAngle`
- `YAngle`
- `ZAngle`
- `Type`

See Also:
  - `AttributePackage.getAngle3D()`

## Method Summary

Modifier and Type
Method
Description
`Angle3D`
`copyInstance()`
`double`
`getAxisAngle()`
Returns the specific axis angle value if axis type specified, or just returns Zero.
`AngleType`
`getType()`
Returns the value of the 'Type' attribute.
`double`
`getXAngle()`
Returns the value of the 'XAngle' attribute.
`double`
`getYAngle()`
Returns the value of the 'YAngle' attribute.
`double`
`getZAngle()`
Returns the value of the 'ZAngle' attribute.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`boolean`
`isSetXAngle()`
Returns whether the value of the '`XAngle`' attribute is set.
`boolean`
`isSetYAngle()`
Returns whether the value of the '`YAngle`' attribute is set.
`boolean`
`isSetZAngle()`
Returns whether the value of the '`ZAngle`' attribute is set.
`void`
`set(double x, double y, double z)`
Sets the x,y,z angle in one punch.
`void`
`setType(AngleType value)`
Sets the value of the '`Type`' attribute.
`void`
`setXAngle(double value)`
Sets the value of the '`XAngle`' attribute.
`void`
`setYAngle(double value)`
Sets the value of the '`YAngle`' attribute.
`void`
`setZAngle(double value)`
Sets the value of the '`ZAngle`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.
`void`
`unsetXAngle()`
Unsets the value of the '`XAngle`' attribute.
`void`
`unsetYAngle()`
Unsets the value of the '`YAngle`' attribute.
`void`
`unsetZAngle()`
Unsets the value of the '`ZAngle`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getXAngle

double getXAngle()
Returns the value of the 'XAngle' attribute.

If the meaning of the 'XAngle' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'XAngle' attribute.
See Also:
  - `isSetXAngle()`
  - `unsetXAngle()`
  - `setXAngle(double)`
  - `AttributePackage.getAngle3D_XAngle()`

### setXAngle

void setXAngle(double value)
Sets the value of the '`XAngle`' attribute.

Parameters:
  `value` - the new value of the 'XAngle' attribute.
See Also:
  - `isSetXAngle()`
  - `unsetXAngle()`
  - `getXAngle()`

### unsetXAngle

void unsetXAngle()
Unsets the value of the '`XAngle`' attribute.

See Also:
  - `isSetXAngle()`
  - `getXAngle()`
  - `setXAngle(double)`

### isSetXAngle

boolean isSetXAngle()
Returns whether the value of the '`XAngle`' attribute is set.

Returns:
  whether the value of the 'XAngle' attribute is set.
See Also:
  - `unsetXAngle()`
  - `getXAngle()`
  - `setXAngle(double)`

### getYAngle

double getYAngle()
Returns the value of the 'YAngle' attribute.

If the meaning of the 'YAngle' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'YAngle' attribute.
See Also:
  - `isSetYAngle()`
  - `unsetYAngle()`
  - `setYAngle(double)`
  - `AttributePackage.getAngle3D_YAngle()`

### setYAngle

void setYAngle(double value)
Sets the value of the '`YAngle`' attribute.

Parameters:
  `value` - the new value of the 'YAngle' attribute.
See Also:
  - `isSetYAngle()`
  - `unsetYAngle()`
  - `getYAngle()`

### unsetYAngle

void unsetYAngle()
Unsets the value of the '`YAngle`' attribute.

See Also:
  - `isSetYAngle()`
  - `getYAngle()`
  - `setYAngle(double)`

### isSetYAngle

boolean isSetYAngle()
Returns whether the value of the '`YAngle`' attribute is set.

Returns:
  whether the value of the 'YAngle' attribute is set.
See Also:
  - `unsetYAngle()`
  - `getYAngle()`
  - `setYAngle(double)`

### getZAngle

double getZAngle()
Returns the value of the 'ZAngle' attribute.

If the meaning of the 'ZAngle' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'ZAngle' attribute.
See Also:
  - `isSetZAngle()`
  - `unsetZAngle()`
  - `setZAngle(double)`
  - `AttributePackage.getAngle3D_ZAngle()`

### setZAngle

void setZAngle(double value)
Sets the value of the '`ZAngle`' attribute.

Parameters:
  `value` - the new value of the 'ZAngle' attribute.
See Also:
  - `isSetZAngle()`
  - `unsetZAngle()`
  - `getZAngle()`

### unsetZAngle

void unsetZAngle()
Unsets the value of the '`ZAngle`' attribute.

See Also:
  - `isSetZAngle()`
  - `getZAngle()`
  - `setZAngle(double)`

### isSetZAngle

boolean isSetZAngle()
Returns whether the value of the '`ZAngle`' attribute is set.

Returns:
  whether the value of the 'ZAngle' attribute is set.
See Also:
  - `unsetZAngle()`
  - `getZAngle()`
  - `setZAngle(double)`

### getType

AngleType getType()
Returns the value of the 'Type' attribute. The default value is `"None"`. The literals are from the enumeration `AngleType`.

If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

Attribute "Type" specifies how will the angle values be used. It can be X, Y, Z or None, which indicate that the angle value is devoted to representing an angle corresponding to x,y or z axis or a 3D angle.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `AngleType`
  - `isSetType()`
  - `unsetType()`
  - `setType(AngleType)`
  - `AttributePackage.getAngle3D_Type()`

### setType

void setType(AngleType value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `AngleType`
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(AngleType)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(AngleType)`

### set

void set(double x, double y, double z)
Sets the x,y,z angle in one punch.

Parameters:
  `x` -
  `y` -
  `z` -

### getAxisAngle

double getAxisAngle()
Returns the specific axis angle value if axis type specified, or just returns Zero.

Returns:

### copyInstance

Angle3D copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`